--Headlines		
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH
local require = GLOBAL.require

GLOBAL.STRINGS.CHARACTERS.HADABRA = {}
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE = {}
STRINGS.CHARACTERS.HADABRA = require "speech_hadabra"

GLOBAL.STRINGS.CHARACTERS.ADA = {}
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE = {}
STRINGS.CHARACTERS.ADA = require "speech_ada"

--Mod Configuration Global Version
GLOBAL.global("mods")
if GLOBAL.mods == nil then
    GLOBAL.mods = {}
end
GLOBAL.assert(type(GLOBAL.mods) == "table", string.format("Type of GLOBAL.mods is %s, expected table; caused most probably by incompatibility between mods.", type(GLOBAL.mods)))
GLOBAL.assert(GLOBAL.mods.korriganDS == nil, string.format("GLOBAL.mods.korriganDS is %s, expected nil; caused most probably by incompatibility between mods.", tostring(GLOBAL.mods.korriganDS)))
GLOBAL.mods.korriganDS = {}
GLOBAL.mods.korriganDS.LIGHTCOLOR = GetModConfigData("LIGHTCOLOR")

PrefabFiles = {
	"hadabra",
	"hungerpotion",
	"refreshpotion",
	"healthpotion",
	"sanitypotion",
	"armorpotion",
	"lightpotion",
	"speedpotion",
	"waterpotion",
	"violencepotion",
	"beefalopotion",
	"arachnidpotion",
	"invisibilitypotion",
	"thermalpotion",
	"huntingknife",
	
	"mushroomfarm",
	"mushroomfarm_big",
	
	"ada",
	"orangepotion",
	"yellowpotion",
	"redpotion",
	"purplepotion",
	"blackpotion",
	"whitepotion",
	"greenpotion",
	"bluepotion",
	"turquoisepotion",
	"brownpotion",
	"greypotion",
	"transparentpotion",
	"colorpotion",
	"lesserknife",
}
	
Assets = { 

    Asset( "IMAGE", "images/saveslot_portraits/hadabra.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/hadabra.xml" ),
	Asset( "IMAGE", "images/saveslot_portraits/ada.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ada.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/hadabra.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/hadabra.xml" ),
	Asset( "IMAGE", "images/selectscreen_portraits/ada.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ada.xml" ),

    Asset( "IMAGE", "bigportraits/hadabra.tex" ),
    Asset( "ATLAS", "bigportraits/hadabra.xml" ),
	Asset( "IMAGE", "bigportraits/ada.tex" ),
    Asset( "ATLAS", "bigportraits/ada.xml" ),
	
	Asset( "IMAGE", "images/map_icons/hadabra.tex" ),
	Asset( "ATLAS", "images/map_icons/hadabra.xml" ),
	Asset( "IMAGE", "images/map_icons/ada.tex" ),
	Asset( "ATLAS", "images/map_icons/ada.xml" ),

	
	Asset( "IMAGE", "images/hadabratab.tex" ),
   	Asset( "ATLAS", "images/hadabratab.xml" ),
	Asset( "IMAGE", "images/adatab.tex" ),
   	Asset( "ATLAS", "images/adatab.xml" ),
	
	Asset( "SOUNDPACKAGE", "sound/hadabra.fev"),	
	Asset( "SOUND", "sound/hadabra.fsb"),
	Asset( "SOUNDPACKAGE", "sound/ada.fev"),	
	Asset( "SOUND", "sound/ada.fsb"),
	
	Asset( "ANIM", "anim/hungerpotion.zip" ),
	Asset( "ANIM", "anim/refreshpotion.zip" ),
	Asset( "ANIM", "anim/healthpotion.zip" ),
	Asset( "ANIM", "anim/sanitypotion.zip" ),
	Asset( "ANIM", "anim/armorpotion.zip" ),
	Asset( "ANIM", "anim/lightpotion.zip" ),
	Asset( "ANIM", "anim/speedpotion.zip" ),
	Asset( "ANIM", "anim/waterpotion.zip" ),
	Asset( "ANIM", "anim/violencepotion.zip" ),
	Asset( "ANIM", "anim/beefalopotion.zip" ),
	Asset( "ANIM", "anim/arachnidpotion.zip" ),
	Asset( "ANIM", "anim/invisibilitypotion.zip" ),
	Asset( "ANIM", "anim/thermalpotion.zip" ),
	Asset( "ANIM", "anim/orangepotion.zip" ),
	Asset( "ANIM", "anim/yellowpotion.zip" ),
	Asset( "ANIM", "anim/redpotion.zip" ),
	Asset( "ANIM", "anim/purplepotion.zip" ),
	Asset( "ANIM", "anim/blackpotion.zip" ),
	Asset( "ANIM", "anim/whitepotion.zip" ),
	Asset( "ANIM", "anim/greenpotion.zip" ),
	Asset( "ANIM", "anim/bluepotion.zip" ),
	Asset( "ANIM", "anim/turquoisepotion.zip" ),
	Asset( "ANIM", "anim/brownpotion.zip" ),
	Asset( "ANIM", "anim/greypotion.zip" ),
	Asset( "ANIM", "anim/transparentpotion.zip" ),
	Asset( "ANIM", "anim/colorpotion.zip" ),
	Asset( "ANIM", "anim/huntingknife.zip" ),
	Asset( "ANIM", "anim/lesserknife.zip" ),
	Asset( "ANIM", "anim/mushroomfarm.zip" ),
	Asset( "ANIM", "anim/mushroomfarm_big.zip" ),
	
	Asset( "ATLAS", "images/inventoryimages/hungerpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/refreshpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/healthpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/sanitypotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/armorpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/lightpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/speedpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/waterpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/violencepotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/beefalopotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/arachnidpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/invisibilitypotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/thermalpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/orangepotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/yellowpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/redpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/purplepotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/blackpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/whitepotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/greenpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/bluepotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/turquoisepotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/brownpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/greypotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/transparentpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/colorpotion.xml" ),
	Asset( "ATLAS", "images/inventoryimages/huntingknife.xml" ),
	Asset( "ATLAS", "images/inventoryimages/lesserknife.xml" ),
	
	Asset("ATLAS", "images/inventoryimages/mushroomfarm.xml"),
	Asset( "IMAGE", "minimap/mushroomfarm.tex" ),
	Asset( "ATLAS", "minimap/mushroomfarm.xml" ),
	
	Asset("ATLAS", "images/inventoryimages/mushroomfarm_big.xml"),
	Asset( "IMAGE", "minimap/mushroomfarm_big.tex" ),
	Asset( "ATLAS", "minimap/mushroomfarm_big.xml" ),
}

--Remapping to custom sound event
RemapSoundEvent( "dontstarve/characters/hadabra/death_voice", "hadabra/hadabra/death_voice" ) 
RemapSoundEvent( "dontstarve/characters/hadabra/hurt", "hadabra/hadabra/hurt" ) 
RemapSoundEvent( "dontstarve/characters/hadabra/talk_LP", "hadabra/hadabra/talk_LP" )
RemapSoundEvent( "dontstarve/characters/hadabra/yawn", "hadabra/hadabra/yawn" )
RemapSoundEvent( "dontstarve/characters/hadabra/pose", "hadabra/hadabra/pose" )
--RemapSoundEvent( "dontstarve/characters/hadabra/ghost_LP", "hadabra/hadabra/ghost_LP" )
RemapSoundEvent( "dontstarve/characters/hadabra/emote", "hadabra/hadabra/emote" )

RemapSoundEvent( "dontstarve/characters/ada/death_voice", "ada/ada/death_voice" ) 
RemapSoundEvent( "dontstarve/characters/ada/hurt", "ada/ada/hurt" ) 
RemapSoundEvent( "dontstarve/characters/ada/talk_LP", "ada/ada/talk_LP" )
RemapSoundEvent( "dontstarve/characters/ada/yawn", "ada/ada/yawn" )
RemapSoundEvent( "dontstarve/characters/ada/pose", "ada/ada/pose" )
--RemapSoundEvent( "dontstarve/characters/ada/ghost_LP", "ada/ada/ghost_LP" )
RemapSoundEvent( "dontstarve/characters/ada/emote", "ada/ada/emote" )


--Mushroom Farm strings
STRINGS.NAMES.MUSHROOMFARM = "Fungi Garden"
STRINGS.RECIPE_DESC.MUSHROOMFARM = "Craft your very own farm!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOMFARM = "I wish I could build mine..."
STRINGS.CHARACTERS.ADA.DESCRIBE.MUSHROOMFARM = "Hmm! Mushy Mushy!"
STRINGS.CHARACTERS.HADABRA.DESCRIBE.MUSHROOMFARM = "Hmm! Mushy Mushy!"

--Mushroom Farm BIG strings
STRINGS.NAMES.MUSHROOMFARM_BIG = "Fungi Gigantum"
STRINGS.RECIPE_DESC.MUSHROOMFARM_BIG = "Mush Tree Mix!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOMFARM_BIG = "I wish I could build mine..."
STRINGS.CHARACTERS.ADA.DESCRIBE.MUSHROOMFARM_BIG = "Hmm! Mushy Mushy!"
STRINGS.CHARACTERS.HADABRA.DESCRIBE.MUSHROOMFARM_BIG = "Hmm! Mushy Mushy!"
		
--Hunting/Lesser Dart strings
STRINGS.NAMES.LESSERKNIFE = "Throwing Knife"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LESSERKNIFE = "A homemade knife for hunting."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.LESSERKNIFE = "I could gather feathers with this."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.LESSERKNIFE = "I could gather feathers with this."
STRINGS.RECIPE_DESC.LESSERKNIFE = "Perfect for hunting little creature!"

STRINGS.NAMES.HUNTINGKNIFE = "Throwing Knife"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HUNTINGKNIFE = "A homemade knife for hunting."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.HUNTINGKNIFE = "I could gather feathers with this."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.HUNTINGKNIFE = "I could gather feathers with this."
STRINGS.RECIPE_DESC.HUNTINGKNIFE = "Perfect for hunting little creature!"

--Potions name
GLOBAL.STRINGS.NAMES.HUNGERPOTION = "Hunger Potion"
GLOBAL.STRINGS.NAMES.REFRESHPOTION = "Refresh Potion"
GLOBAL.STRINGS.NAMES.THERMALPOTION = "Thermal Potion"
GLOBAL.STRINGS.NAMES.HEALTHPOTION = "Healing Potion"
GLOBAL.STRINGS.NAMES.SANITYPOTION = "Sanity Potion"
GLOBAL.STRINGS.NAMES.ARMORPOTION = "Armor Potion"
GLOBAL.STRINGS.NAMES.SPEEDPOTION = "Speed Potion"
GLOBAL.STRINGS.NAMES.LIGHTPOTION = "Light Potion"
GLOBAL.STRINGS.NAMES.WATERPOTION = "Waterproof Potion"
GLOBAL.STRINGS.NAMES.VIOLENCEPOTION = "Violence Potion"
GLOBAL.STRINGS.NAMES.BEEFALOPOTION = "Stinky Potion"
GLOBAL.STRINGS.NAMES.ARACHNIDPOTION = "Arachnid Potion"
GLOBAL.STRINGS.NAMES.INVISIBILITYPOTION = "Invisibility Potion"

GLOBAL.STRINGS.NAMES.ORANGEPOTION = "Hunger Potion"
GLOBAL.STRINGS.NAMES.YELLOWPOTION = "Refresh Potion"
GLOBAL.STRINGS.NAMES.COLORPOTION = "Thermal Potion"
GLOBAL.STRINGS.NAMES.REDPOTION = "Healing Potion"
GLOBAL.STRINGS.NAMES.PURPLEPOTION = "Sanity Potion"
GLOBAL.STRINGS.NAMES.BLACKPOTION = "Armor Potion"
GLOBAL.STRINGS.NAMES.GREENPOTION = "Speed Potion"
GLOBAL.STRINGS.NAMES.WHITEPOTION = "Light Potion"
GLOBAL.STRINGS.NAMES.BLUEPOTION = "Waterproof Potion"
GLOBAL.STRINGS.NAMES.TURQUOISEPOTION = "Violence Potion"
GLOBAL.STRINGS.NAMES.BROWNPOTION = "Stinky Potion"
GLOBAL.STRINGS.NAMES.GREYPOTION = "Arachnid Potion"
GLOBAL.STRINGS.NAMES.TRANSPARENTPOTION = "Invisibility Potion"

--Other players don't know what's inside the potion
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HUNGERPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.REFRESHPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.THERMALPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HEALTHPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SANITYPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARMORPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SPEEDPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIGHTPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.WATERPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.VIOLENCEPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BEEFALOPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ARACHNIDPOTION = "Korrigan's stuff."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.INVISIBILITYPOTION = "Korrigan's stuff."


--The Korrigan description of their own potions
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.HUNGERPOTION = "Smells good food."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.REFRESHPOTION = "That's a cold mixture."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.THERMALPOTION = "That's a hot mixture."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.HEALTHPOTION = "To give some life back."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.SANITYPOTION = "This liquid will clarify the mind."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.ARMORPOTION = "Sticky and slimy black texture."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.SPEEDPOTION = "One Bottle. One Speed."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.LIGHTPOTION = "Do NOT open before night comes!"
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.WATERPOTION = "Burrpp..! Smells awful!"
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.VIOLENCEPOTION = "Only the fume can turn you mad."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.BEEFALOPOTION = "I wonder how I'll find the strengh to drink it."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.ARACHNIDPOTION = "It works like a camouflage."
GLOBAL.STRINGS.CHARACTERS.HADABRA.DESCRIBE.INVISIBILITYPOTION = "Let's play Hide and Seek!"

--The Korrigan description of their own potions
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.ORANGEPOTION = "Smells good food."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.YELLOWPOTION = "That's a cold mixture."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.COLORPOTION = "That's a hot mixture."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.REDPOTION = "To give some life back."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.PURPLEPOTION = "This liquid will clarify the mind."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.BLACKPOTION = "Sticky and slimy black texture."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.GREENPOTION = "One Bottle. One Speed."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.WHITEPOTION = "Do NOT open before night comes!"
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.BLUEPOTION = "Burrpp..! Smells awful!"
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.TURQUOISEPOTION = "Only the fume can turn you mad."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.BROWNPOTION = "I wonder how I'll find the strengh to drink it."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.GREYPOTION = "It works like a camouflage."
GLOBAL.STRINGS.CHARACTERS.ADA.DESCRIBE.TRANSPARENTPOTION = "Let's play Hide and Seek!"

--Recipe tab potion description
STRINGS.RECIPE_DESC.HUNGERPOTION = "Its like foooooood!"
STRINGS.RECIPE_DESC.REFRESHPOTION = "To refresh the body!"
STRINGS.RECIPE_DESC.THERMALPOTION = "Like gin, but better!"
STRINGS.RECIPE_DESC.HEALTHPOTION = "Wounds healing potion!"
STRINGS.RECIPE_DESC.SANITYPOTION = "No more headache!"
STRINGS.RECIPE_DESC.ARMORPOTION = "Some stone in the flesh!"
STRINGS.RECIPE_DESC.SPEEDPOTION = "Legs, sweep the air!"
STRINGS.RECIPE_DESC.LIGHTPOTION = "Lighting up the night!"
STRINGS.RECIPE_DESC.WATERPOTION = "Rain? What Rain?"
STRINGS.RECIPE_DESC.VIOLENCEPOTION = "It grows muscles! Even on babies!"
STRINGS.RECIPE_DESC.BEEFALOPOTION = "Smells like sh*it!"
STRINGS.RECIPE_DESC.ARACHNIDPOTION = "Greyish Metamorphosis!"
STRINGS.RECIPE_DESC.INVISIBILITYPOTION = "Our little secret, Shh!"

--Recipe tab potion description
STRINGS.RECIPE_DESC.ORANGEPOTION = "Its like foooooood!"
STRINGS.RECIPE_DESC.YELLOWPOTION = "To refresh the body!"
STRINGS.RECIPE_DESC.COLORPOTION = "Like gin, but better!"
STRINGS.RECIPE_DESC.REDPOTION = "Wounds healing potion!"
STRINGS.RECIPE_DESC.PURPLEPOTION = "No more headache!"
STRINGS.RECIPE_DESC.BLACKPOTION = "Some stone in the flesh!"
STRINGS.RECIPE_DESC.GREENPOTION = "Legs, sweep the air!"
STRINGS.RECIPE_DESC.WHITEPOTION = "Lighting up the night!"
STRINGS.RECIPE_DESC.BLUEPOTION = "Rain? What Rain?"
STRINGS.RECIPE_DESC.TURQUOISEPOTION = "It grows muscles! Even on babies!"
STRINGS.RECIPE_DESC.BROWNPOTION = "Smells like sh*it!"
STRINGS.RECIPE_DESC.GREYPOTION = "Greyish Metamorphosis!"
STRINGS.RECIPE_DESC.TRANSPARENTPOTION = "Our little secret, Shh!"

-- The character select screen lines
STRINGS.CHARACTER_TITLES.hadabra = "The Korrigan"
STRINGS.CHARACTER_NAMES.hadabra = "Hadabra"
STRINGS.CHARACTER_DESCRIPTIONS.hadabra = "*Craft his own potions\n*Fast Runner\n*Scavenger"
STRINGS.CHARACTER_QUOTES.hadabra = "\"Lets mix the very essence of life.\""

STRINGS.CHARACTER_TITLES.ada = "The Korrigan"
STRINGS.CHARACTER_NAMES.ada = "Ada"
STRINGS.CHARACTER_DESCRIPTIONS.ada = "*Craft her own potions\n*Fast Runner\n*Scavenger"
STRINGS.CHARACTER_QUOTES.ada = "\"Lets mix the very essence of life.\""

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.hadabra = 
{
	GENERIC = "It's Hadabra!",
	ATTACKER = "That Hadabra looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Hadabra, friend of ghosts.",
	GHOST = "Hadabra could use a heart.",
}

STRINGS.CHARACTERS.GENERIC.DESCRIBE.ada = 
{
	GENERIC = "It's Ada!",
	ATTACKER = "That Ada looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Ada, friend of ghosts.",
	GHOST = "Ada could use a heart.",
}

-- The character's name as appears in-game 
STRINGS.NAMES.HADABRA = "Hadabra"
STRINGS.NAMES.ADA = "Ada"

AddMinimapAtlas("images/map_icons/ada.xml")
AddMinimapAtlas("images/map_icons/hadabra.xml")
AddMinimapAtlas("minimap/mushroomfarm.xml")
AddMinimapAtlas("minimap/mushroomfarm_big.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "hadabra")
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "ada")
AddModCharacter("hadabra", "MALE")
AddModCharacter("ada", "FEMALE")

--Quick Picker
local myhandler = function(sg)	
local old = sg.actionhandlers[GLOBAL.ACTIONS.PICK].deststate	
sg.actionhandlers[GLOBAL.ACTIONS.PICK].deststate = function(inst, action)		
if action.target.components.pickable then			
if action.target.components.pickable.quickpick or inst:HasTag("quickpicker") then				
return "doshortaction"			
end			
return old(inst, action)		
end	
end
end

AddStategraphPostInit("wilson",myhandler)