
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

        Asset( "ANIM", "anim/ada.zip" ),
		
		Asset( "ANIM", "anim/orangepotion.zip" ),
		Asset( "ANIM", "anim/yellowpotion.zip" ),
		Asset( "ANIM", "anim/redpotion.zip" ),
		Asset( "ANIM", "anim/purplepotion.zip" ),
		Asset( "ANIM", "anim/blackpotion.zip" ),
		Asset( "ANIM", "anim/greenpotion.zip" ),
		Asset( "ANIM", "anim/whitepotion.zip" ),
		Asset( "ANIM", "anim/bluepotion.zip" ),
		Asset( "ANIM", "anim/turquoisepotion.zip" ),
		Asset( "ANIM", "anim/brownpotion.zip" ),
		Asset( "ANIM", "anim/greypotion.zip" ),
		Asset( "ANIM", "anim/transparentpotion.zip" ),
		Asset( "ANIM", "anim/colorpotion.zip" ),
		Asset( "ANIM", "anim/lesserknife.zip" ),
		Asset( "ANIM", "anim/mushroomfarm.zip" ),
		Asset( "ANIM", "anim/mushroomfarm_big.zip" ),
		
		Asset( "ATLAS", "images/inventoryimages/orangepotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/yellowpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/redpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/purplepotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/blackpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/greenpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/whitepotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/bluepotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/turquoisepotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/brownpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/greypotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/transparentpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/colorpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/lesserknife.xml" ),
		Asset( "ATLAS", "images/inventoryimages/mushroomfarm.xml" ),
		Asset( "ATLAS", "images/inventoryimages/mushroomfarm_big.xml" ),
}
local prefabs = {
	"orangepotion",
	"yellowpotion",
	"redpotion",
	"purplepotion",
	"blackpotion",
	"greenpotion",
	"whitepotion",
	"bluepotion",
	"turquoisepotion",
	"brownpotion",
	"greypotion",
	"transparentpotion",
	"colorpotion",
	"lesserknife",
	"mushroomfarm",
	"mushroomfarm_big",
	}

-- Custom starting items
local start_inv = {
}

-- This initializes for the server only. Components are added here.
local fn = function(inst)

local minimap = inst.entity:AddMiniMapEntity()    
	minimap:SetIcon( "ada.tex" )
	
	-- choose which sounds this character will play
	inst.soundname = "ada"
	
	-- Uncomment if "wathgrithr"(Wigfrid) or "webber" voice is used
    --inst.talker_path_override = "dontstarve_DLC001/characters/"
	
	--Korrigan Tags
	inst:AddTag("ada")
	inst:AddTag("quickpicker")
	inst:AddTag("mushroomfarm")
	inst:AddTag("mushroomfarm_big")
	
	-- Stats	
	inst.components.health:SetMaxHealth(150)
	inst.components.hunger:SetMax(200)
	inst.components.sanity:SetMax(200)
	
	--Fast Runner
	inst.components.locomotor.walkspeed = 7
	inst.components.locomotor.runspeed = 9
	
	-- Damage multiplier (optional)
    inst.components.combat.damagemultiplier = .75
	
	-- Hunger rate (optional)
	inst.components.hunger.hungerrate = TUNING.WILSON_HUNGER_RATE
	
	--Speech Colour
	inst.components.talker.fontsize = 32     
	inst.components.talker.font = TALKINGFONT    
	inst.components.talker.colour = Vector3(1, 0.92, 0.016, 1)   
	
	--Craft
	STRINGS.TABS.ADATAB = "Nature Wisdom"
	
	local ADATAB = {str = "ADATAB", sort=1000, icon = "adatab.tex", icon_atlas = "images/adatab.xml"}
	inst.components.builder:AddRecipeTab(ADATAB)
	
	local orangepotion_recipe = Recipe("orangepotion", {Ingredient("carrot", 2), Ingredient("pumpkin", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) orangepotion_recipe.atlas = "images/inventoryimages/orangepotion.xml"
	local yellowpotion_recipe = Recipe("yellowpotion", {Ingredient("goldnugget", 1), Ingredient("honey", 1), Ingredient("ice", 4)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) yellowpotion_recipe.atlas = "images/inventoryimages/yellowpotion.xml"
	local colorpotion_recipe = Recipe("colorpotion", {Ingredient("goldnugget", 2), Ingredient("honey", 1), Ingredient("cutgrass", 6)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) colorpotion_recipe.atlas = "images/inventoryimages/colorpotion.xml"
	local redpotion_recipe = Recipe("healthpotion", {Ingredient("berries", 2), Ingredient("red_cap", 1), Ingredient("dragonfruit", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) redpotion_recipe.atlas = "images/inventoryimages/healthpotion.xml"
	local purplepotion_recipe = Recipe("purplepotion", {Ingredient("petals", 4), Ingredient("monstermeat", 1), Ingredient("eggplant", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) purplepotion_recipe.atlas = "images/inventoryimages/purplepotion.xml"
	local blackpotion_recipe = Recipe("blackpotion", {Ingredient("petals_evil", 2), Ingredient("charcoal", 2), Ingredient("nightmarefuel", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) blackpotion_recipe.atlas = "images/inventoryimages/blackpotion.xml"
	local whitepotion_recipe = Recipe("whitepotion", {Ingredient("seeds", 2), Ingredient("nitre", 2)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) whitepotion_recipe.atlas = "images/inventoryimages/whitepotion.xml"
	local greenpotion_recipe = Recipe("greenpotion", {Ingredient("froglegs", 1), Ingredient("green_cap", 1), Ingredient("corn", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) greenpotion_recipe.atlas = "images/inventoryimages/greenpotion.xml"
	local bluepotion_recipe = Recipe("bluepotion", {Ingredient("blue_cap", 1), Ingredient("fish", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) bluepotion_recipe.atlas = "images/inventoryimages/bluepotion.xml"
	local turquoisepotion_recipe = Recipe("turquoisepotion", {Ingredient("feather_crow", 1), Ingredient("stinger", 2)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) turquoisepotion_recipe.atlas = "images/inventoryimages/turquoisepotion.xml"
	local brownpotion_recipe = Recipe("brownpotion", {Ingredient("twigs", 4), Ingredient("pinecone", 2), Ingredient("poop", 2), Ingredient("beefalowool", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) brownpotion_recipe.atlas = "images/inventoryimages/brownpotion.xml"
	local greypotion_recipe = Recipe("greypotion", {Ingredient("twigs", 4), Ingredient("ash", 2), Ingredient("monstermeat", 1), Ingredient("silk", 2)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) greypotion_recipe.atlas = "images/inventoryimages/greypotion.xml"
	local transparentpotion_recipe = Recipe("transparentpotion", {Ingredient("fireflies", 2), Ingredient("feather_robin", 1), Ingredient("ash", 2), Ingredient("silk", 2)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) transparentpotion_recipe.atlas = "images/inventoryimages/transparentpotion.xml"

	local lesserknife_recipe = Recipe("lesserknife", {Ingredient("log", 1), Ingredient("flint", 1), Ingredient("rope", 1)}, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) lesserknife_recipe.atlas = "images/inventoryimages/lesserknife.xml"
	local mushroomfarm_recipe = Recipe ("mushroomfarm",{Ingredient("boards", 4), Ingredient("poop", 4), Ingredient("cutgrass", 6), Ingredient("red_cap", 3), Ingredient("green_cap", 3), Ingredient("blue_cap", 3) }, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}, "mushroomfarm_placer") mushroomfarm_recipe.atlas = "images/inventoryimages/mushroomfarm.xml"
	local mushroomfarm_big_recipe = Recipe ("mushroomfarm_big",{Ingredient("boards", 6), Ingredient("poop", 6), Ingredient("cutgrass", 12), Ingredient("red_cap", 6), Ingredient("green_cap", 6), Ingredient("blue_cap", 6) }, ADATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}, "mushroomfarm_big_placer") mushroomfarm_big_recipe.atlas = "images/inventoryimages/mushroomfarm_big.xml"
end

return MakePlayerCharacter("ada", prefabs, assets, fn, start_inv)
