
local assets=
{
    Asset("ANIM", "anim/arachnidpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/arachnidpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/arachnidpotion.tex"),
}

 PrefabFiles = {
    "arachnidpotion",
}

local POTION_DURATION = 120
 
local function makesmell(owner)
	owner:AddTag("spiderwhisperer")
	owner:AddTag("monster")
	owner.components.talker:Say("They wont recognize me!", 4)
end
 
local function makenormal(owner)
    owner:RemoveTag("spiderwhisperer")
	owner:RemoveTag("monster")
	owner.components.talker:Say("Ah! Smells normal now!", 4)
end
 
local function oneaten(inst, owner)
    makesmell(owner)
    owner:DoTaskInTime(POTION_DURATION, makenormal)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("arachnidpotion")
	
    inst.AnimState:SetBank("arachnidpotion")
    inst.AnimState:SetBuild("arachnidpotion")
    inst.AnimState:PlayAnimation("idle")
	
    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "arachnidpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/arachnidpotion.xml"
	
    inst:AddComponent("edible")
	inst.components.edible.hungervalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")
     
    return inst
end
return Prefab("common/inventory/arachnidpotion", fn, assets)