
local assets=
{
    Asset("ANIM", "anim/armorpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/armorpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/armorpotion.tex"),
}

 PrefabFiles = {
    "armorpotion",
}

local POTION_DURATION = 90
 
local function makemarble(inst)

    inst.components.health:SetAbsorptionAmount(TUNING.ARMORMARBLE_ABSORPTION)
	
end
 
local function makenormal(inst, eater)

    inst.components.health:SetAbsorptionAmount(0)
	inst.components.talker:Say("Flesh returns back to normal.", 4)
end
 
local function oneaten(inst, eater)
    makemarble(eater)
    eater:DoTaskInTime(POTION_DURATION, makenormal)
	eater.components.talker:Say("My skin is like stone!", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("armorpotion")
	
    inst.AnimState:SetBank("armorpotion")
    inst.AnimState:SetBuild("armorpotion")
    inst.AnimState:PlayAnimation("idle")
	
    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "armorpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/armorpotion.xml"
	
    inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")
     
    return inst
end
return Prefab("common/inventory/armorpotion", fn, assets)