local assets=
{
    Asset("ANIM", "anim/bluepotion.zip"),
	--Asset("ANIM", "anim/swap_bluepotion.zip"),
    Asset("ATLAS", "images/inventoryimages/bluepotion.xml"),
    Asset("IMAGE", "images/inventoryimages/bluepotion.tex"),
}

 PrefabFiles = {
    "bluepotion",
}

local POTION_DURATION = 220
 
local function makewaterproof(eater)
    eater.components.moisture.maxMoistureRate = 0
	eater.components.talker:Say("Smells like fish in my cells!", 4)
end
 
local function makenormal(eater)
	eater.components.moisture.maxMoistureRate = .75
	eater.components.talker:Say("I can get wet again.", 4)
end
 
local function oneaten(inst, eater)
    makewaterproof(eater)
    eater:DoTaskInTime(POTION_DURATION, makenormal)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("bluepotion")
	inst:AddTag("waterproofer")
	
    inst.AnimState:SetBank("bluepotion")
    inst.AnimState:SetBuild("bluepotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "bluepotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/bluepotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.hungervalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")
     
    return inst
end
return Prefab("common/inventory/bluepotion", fn, assets)