
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

        Asset( "ANIM", "anim/hadabra.zip" ),
		
		Asset( "ANIM", "anim/hungerpotion.zip" ),
		Asset( "ANIM", "anim/refreshpotion.zip" ),
		Asset( "ANIM", "anim/healthpotion.zip" ),
		Asset( "ANIM", "anim/sanitypotion.zip" ),
		Asset( "ANIM", "anim/armorpotion.zip" ),
		Asset( "ANIM", "anim/lightpotion.zip" ),
		Asset( "ANIM", "anim/speedpotion.zip" ),
		Asset( "ANIM", "anim/waterpotion.zip" ),
		Asset( "ANIM", "anim/violencepotion.zip" ),
		Asset( "ANIM", "anim/beefalopotion.zip" ),
		Asset( "ANIM", "anim/arachnidpotion.zip" ),
		Asset( "ANIM", "anim/invisibilitypotion.zip" ),
		Asset( "ANIM", "anim/thermalpotion.zip" ),
		Asset( "ANIM", "anim/huntingknife.zip" ),
		Asset( "ANIM", "anim/mushroomfarm.zip" ),
		Asset( "ANIM", "anim/mushroomfarm_big.zip" ),
	
		Asset( "ATLAS", "images/inventoryimages/hungerpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/refreshpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/healthpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/sanitypotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/armorpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/lightpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/speedpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/waterpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/violencepotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/beefalopotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/arachnidpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/invisibilitypotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/thermalpotion.xml" ),
		Asset( "ATLAS", "images/inventoryimages/huntingknife.xml" ),
		Asset( "ATLAS", "images/inventoryimages/mushroomfarm.xml" ),
		Asset( "ATLAS", "images/inventoryimages/mushroomfarm_big.xml" ),
}
local prefabs = {

}

-- Custom starting items
local start_inv = {
}

local fn = function(inst)

local minimap = inst.entity:AddMiniMapEntity()    
	minimap:SetIcon( "hadabra.tex" )
	
	--Korrigan Tags
	inst:AddTag("hadabra")
	inst:AddTag("quickpicker")
	inst:AddTag("mushroomfarm_placer")
	inst:AddTag("mushroomfarm_big_placer")
	
	-- choose which sounds this character will play
	inst.soundname = "hadabra"
	
	-- Uncomment if "wathgrithr"(Wigfrid) or "webber" voice is used
    --inst.talker_path_override = "dontstarve_DLC001/characters/"
	
	-- Stats	
	inst.components.health:SetMaxHealth(150)
	inst.components.hunger:SetMax(200)
	inst.components.sanity:SetMax(200)
	
	--Fast Runner
	inst.components.locomotor.walkspeed = 7
	inst.components.locomotor.runspeed = 9
	
	-- Damage multiplier (optional)
    inst.components.combat.damagemultiplier = .75
	
	-- Hunger rate (optional)
	inst.components.hunger.hungerrate = TUNING.WILSON_HUNGER_RATE
	
	--Speech Colour
	inst.components.talker.fontsize = 32     
	inst.components.talker.font = TALKINGFONT    
	inst.components.talker.colour = Vector3(1, 0.92, 0.016, 1)

	--Craft
	STRINGS.TABS.HADABRATAB = "Nature Wisdom"
	
	local HADABRATAB = {str = "HADABRATAB", sort=1000, icon = "hadabratab.tex", icon_atlas = "images/hadabratab.xml"}
	inst.components.builder:AddRecipeTab(HADABRATAB)
	
	local hungerpotion_recipe = Recipe("hungerpotion", {Ingredient("carrot", 2), Ingredient("pumpkin", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) hungerpotion_recipe.atlas = "images/inventoryimages/hungerpotion.xml"
	local refreshpotion_recipe = Recipe("refreshpotion", {Ingredient("goldnugget", 1), Ingredient("honey", 1), Ingredient("ice", 4)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) refreshpotion_recipe.atlas = "images/inventoryimages/refreshpotion.xml"
	local thermalpotion_recipe = Recipe("thermalpotion", {Ingredient("goldnugget", 1), Ingredient("honey", 1), Ingredient("cutgrass", 6)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) thermalpotion_recipe.atlas = "images/inventoryimages/thermalpotion.xml"
	local healthpotion_recipe = Recipe("healthpotion", {Ingredient("berries", 2), Ingredient("red_cap", 1), Ingredient("dragonfruit", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) healthpotion_recipe.atlas = "images/inventoryimages/healthpotion.xml"
	local sanitypotion_recipe = Recipe("sanitypotion", {Ingredient("petals", 4), Ingredient("monstermeat", 1), Ingredient("eggplant", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) sanitypotion_recipe.atlas = "images/inventoryimages/sanitypotion.xml"
	local armorpotion_recipe = Recipe("armorpotion", {Ingredient("petals_evil", 2), Ingredient("charcoal", 2), Ingredient("nightmarefuel", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) armorpotion_recipe.atlas = "images/inventoryimages/armorpotion.xml"
	local lightpotion_recipe = Recipe("lightpotion", {Ingredient("seeds", 2), Ingredient("nitre", 2)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) lightpotion_recipe.atlas = "images/inventoryimages/lightpotion.xml"
	local speedpotion_recipe = Recipe("speedpotion", {Ingredient("froglegs", 1), Ingredient("green_cap", 1), Ingredient("corn", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) speedpotion_recipe.atlas = "images/inventoryimages/speedpotion.xml"
	local waterpotion_recipe = Recipe("waterpotion", {Ingredient("blue_cap", 1), Ingredient("fish", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) waterpotion_recipe.atlas = "images/inventoryimages/waterpotion.xml"
	local violencepotion_recipe = Recipe("violencepotion", {Ingredient("feather_crow", 1), Ingredient("stinger", 2)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) violencepotion_recipe.atlas = "images/inventoryimages/violencepotion.xml"
	local beefalopotion_recipe = Recipe("beefalopotion", {Ingredient("twigs", 4), Ingredient("pinecone", 2), Ingredient("poop", 2), Ingredient("beefalowool", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) beefalopotion_recipe.atlas = "images/inventoryimages/beefalopotion.xml"
	local arachnidpotion_recipe = Recipe("arachnidpotion", {Ingredient("twigs", 4), Ingredient("ash", 2), Ingredient("monstermeat", 1), Ingredient("silk", 2)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) arachnidpotion_recipe.atlas = "images/inventoryimages/arachnidpotion.xml"
	local invisibilitypotion_recipe = Recipe("invisibilitypotion", {Ingredient("fireflies", 2), Ingredient("feather_robin", 1), Ingredient("ash", 2), Ingredient("silk", 2)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) invisibilitypotion_recipe.atlas = "images/inventoryimages/invisibilitypotion.xml"
    
	local huntingknife_recipe = Recipe("huntingknife", {Ingredient("log", 1), Ingredient("flint", 1), Ingredient("rope", 1)}, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}) huntingknife_recipe.atlas = "images/inventoryimages/huntingknife.xml"
	local mushroomfarm_recipe = Recipe ("mushroomfarm",{Ingredient("boards", 4), Ingredient("poop", 4), Ingredient("cutgrass", 6), Ingredient("red_cap", 3), Ingredient("green_cap", 3), Ingredient("blue_cap", 3) }, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}, "mushroomfarm_placer") mushroomfarm_recipe.atlas = "images/inventoryimages/mushroomfarm.xml"
	local mushroomfarm_big_recipe = Recipe ("mushroomfarm_big",{Ingredient("boards", 6), Ingredient("poop", 6), Ingredient("cutgrass", 12), Ingredient("red_cap", 6), Ingredient("green_cap", 6), Ingredient("blue_cap", 6) }, HADABRATAB, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}, "mushroomfarm_big_placer") mushroomfarm_big_recipe.atlas = "images/inventoryimages/mushroomfarm_big.xml"
end

return MakePlayerCharacter("hadabra", prefabs, assets, fn, start_inv)
