local assets=
{
    Asset("ANIM", "anim/huntingknife.zip"),
	Asset("ANIM", "anim/swap_huntingknife.zip"),
    Asset("ATLAS", "images/inventoryimages/huntingknife.xml"),
    Asset("IMAGE", "images/inventoryimages/huntingknife.tex"),
}

 PrefabFiles = {
    "huntingknife",
}

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_huntingknife", "swap_huntingknife")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
	
end

local function onunequip(inst, owner)
    owner.AnimState:ClearOverrideSymbol("swap_object")
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
	inst.AnimState:PlayAnimation("idle")
end

local function thrown(inst)
	inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)
    inst.AnimState:PlayAnimation("throw")
	
end

local missed = false

local function OnMiss(inst, owner, target)        
 inst.AnimState:PlayAnimation("idle")        
 inst.AnimState:SetOrientation( ANIM_ORIENTATION.Default )
 inst.Physics:Stop()
 
 end
 
local function common(anim, tags, removephysicscolliders)
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("huntingknife")
    inst.AnimState:SetBuild("huntingknife")
    inst.AnimState:PlayAnimation("idle")

    inst:AddTag("huntingknife")
    inst:AddTag("sharp")
    inst:AddTag("projectile")
	
    if tags ~= nil then
        for i, v in ipairs(tags) do
            inst:AddTag(v)
        end
    end

    if removephysicscolliders then
        RemovePhysicsColliders(inst)
    end
	
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(40)
    inst.components.weapon:SetRange(8, 10)

    inst:AddComponent("projectile")
    inst.components.projectile:SetSpeed(30)
	inst.components.projectile:SetOnThrownFn(thrown)
	inst.components.projectile:SetHoming(false)
	inst.components.projectile:SetOnMissFn(OnMiss)
    inst:ListenForEvent("onthrown", thrown)

	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(5)
    inst.components.finiteuses:SetUses(5)
    inst.components.finiteuses:SetOnFinished(inst.Remove)
    -------

    inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "huntingknife"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/huntingknife.xml"  

    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	
    return inst
end
return Prefab("common/inventory/huntingknife", common, assets)