local optcolor = mods.korriganDS.LIGHTCOLOR

local colors = {
    Red = {255/255, 0, 0},
	Blue = {0,0,255/255}, 
    Green = {0, 255/255, 0},
    Purple = {153/255, 0, 153/255},
    Orange = {255/255, 128/255, 0},
    Yellow = {255/255, 255/255, 0},
    White = {255/255, 255/255, 255/255}
}

local potiontime = 110
local breakcounter = 0

local assets=
{
    Asset("ANIM", "anim/lightpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/lightpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/lightpotion.tex"),
}

 PrefabFiles = {
    "lightpotion",
}

local function addlight(eater) --It must Work
print(string.format("[lightpotion|addlight(%s)] optcolor=%s", tostring(eater), tostring(optcolor)))

	breakcounter = breakcounter + 1
	print (breakcounter)
	
    if eater then
    eater.Light:Enable(true)
    eater.Light:SetRadius(3.5)
    eater.Light:SetFalloff(.8)
    eater.Light:SetIntensity(0.75)
    eater.Light:SetColour(unpack(colors[optcolor]))
	
	end

  
 end    
 
local function reduce1(eater) --Works
	
	if breakcounter > 1 then
	else
		eater.Light:SetIntensity(0.5)
	end
	
end

local function reduce2(eater) --Works
	
	if breakcounter > 1 then
	else
		eater.Light:SetIntensity(0.25)	
	end
	
	eater.components.talker:Say("Light is reducing!", 4) --Work
	
end

local function reduce3(eater) --Works
	
	if breakcounter > 1 then
		breakcounter = breakcounter - 1
	else
		eater.Light:SetIntensity(0)
		eater.Light:Enable(false)
		print "Light off"
		breakcounter = breakcounter - 1
	end
	
	eater.components.talker:Say("Light has gone...", 4) --Works
	
end

local function oneaten(inst, eater)
	--addlight(eater) --It must Work
	eater:DoTaskInTime(potiontime-110, addlight) --Works
	eater:DoTaskInTime(potiontime-80, reduce1) --Works
	eater:DoTaskInTime(potiontime-40, reduce2) --Works
	eater:DoTaskInTime(potiontime-1, reduce3)	--Works
	eater.components.talker:Say("Let there be light!", 4) --Works
end
 
local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("lightpotion")
	
    inst.AnimState:SetBank("lightpotion")
    inst.AnimState:SetBuild("lightpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "lightpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/lightpotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.hungervalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")

    return inst
end
return Prefab("common/inventory/lightpotion", fn, assets)