local assets=
{
    Asset("ANIM", "anim/thermalpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/thermalpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/thermalpotion.tex"),
}

 PrefabFiles = {
    "thermalpotion",
}

local function oneaten(inst, owner)
	owner.components.talker:Say("It feels like summer.", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("thermalpotion")
	
    inst.AnimState:SetBank("thermalpotion")
    inst.AnimState:SetBuild("thermalpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "thermalpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/thermalpotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = 0
	if inst:HasTag("thermalpotion") then
            inst.components.edible.temperaturedelta = TUNING.HOT_FOOD_BONUS_TEMP
            inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_LONG*10
        end
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")
 
    return inst
end
return Prefab("common/inventory/thermalpotion", fn, assets)