local potiontime = 120
local AGGR_TIME =5

local assets=
{
    Asset("ANIM", "anim/transparentpotion.zip"),
	--Asset("ANIM", "anim/swap_transparentpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/transparentpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/transparentpotion.tex"),
}

 PrefabFiles = {
    "transparentpotion",
}

local function DropTargets(eater)
	local x,y,z = eater.Transform:GetWorldPosition()	
	local ents = TheSim:FindEntities(x, y, z, 50)

	for k,v in pairs(ents) do
		if v.components.combat and v.components.combat.target == eater then
			v.components.combat.target = nil
		end
		--if v:HasTag("hound") and v.components.follower and v.components.follower.leader == owner then
		--	v.components.follower:SetLeader(nil)
		--end
	end
end

local function GoInvisible(inst, eater)
	
	if inst.transparentpotion_active then 
		return
	end
	inst.transparentpotion_active = true
	--inst.m_compatibility.UpdateAnim(inst,true) --true means only once
	--inst.net_transparentpotion_active:set(true)
	inst:AddTag("notarget")
	inst:AddTag("transparentpotion_active")
	
	inst.AnimState:SetMultColour(0.2,0.2,0.2,.2)
	inst.AnimState:SetMultColour(0.03,0.03,0.03,0.03)
	if inst.DynamicShadow then
		inst.DynamicShadow:Enable(false)
	end
	if inst.MiniMapEntity then
		inst.MiniMapEntity:SetEnabled(false)
	end
	if not inst:HasTag("noplayerindicator") then
		inst:AddTag("noplayerindicator")
	end


	-- Stop anyone from actively attacking me (notarget tag will make it so you dont get retarggeted)
	local timer = 0
	inst.task_drop_targets = inst:DoPeriodicTask(0.2,function(inst)
		timer = timer + 0.2
		if timer > AGGR_TIME then
			DropTargets(inst)
		end
		if inst.task_drop_targets and (timer > AGGR_TIME or not inst.transparentpotion_active)  then
			inst.task_drop_targets:Cancel()
			inst.task_drop_targets = nil
		end
	end)
end

local function GoVisible(inst, eater)
	
	if not inst.transparentpotion_active then 
		return 
	end
	
	inst.transparentpotion_active = false
	--inst.m_compatibility.UpdateAnim(inst,true) --true means only once
	--inst.net_transparentpotion_active:set(false)
	inst:RemoveTag("notarget")
	inst:RemoveTag("transparentpotion_active")

	inst.AnimState:SetMultColour(1,1,1,1)
	if inst.DynamicShadow then
		inst.DynamicShadow:Enable(true)
	end
	if inst.MiniMapEntity then
		inst.MiniMapEntity:SetEnabled(true)
	end
	if inst:HasTag("noplayerindicator") then
		inst:RemoveTag("noplayerindicator")
	end

	inst.components.talker:Say("Everyone can see me now.", 4)
end

local function oneaten(inst, eater)
	inst.transparentpotion_active = true
	inst:AddTag("notarget")
	
    DropTargets(eater)
	
	GoInvisible(eater)
	
	eater:DoTaskInTime(potiontime, GoVisible)
	
	eater.components.talker:Say("I'm invisible for now.", 4)
end


local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("transparentpotion")
	
    inst.AnimState:SetBank("transparentpotion")
    inst.AnimState:SetBuild("transparentpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "transparentpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/transparentpotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.hungervalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")

    return inst
end
return Prefab("common/inventory/transparentpotion", fn, assets)