
local assets=
{
    Asset("ANIM", "anim/violencepotion.zip"),
    Asset("ATLAS", "images/inventoryimages/violencepotion.xml"),
    Asset("IMAGE", "images/inventoryimages/violencepotion.tex"),
}

 PrefabFiles = {
    "violencepotion",
}

local POTION_DURATION = 120
 
local function makestrong(owner)
    owner.components.combat.damagemultiplier = 2
	owner.components.talker:Say("I'm getting stronger!", 4)
end
 
local function makenormal(owner)
    owner.components.combat.damagemultiplier = .75
	owner.components.talker:Say("Muscles vanished!", 4)
end
 
local function oneaten(inst, owner)
    makestrong(owner)
    owner:DoTaskInTime(POTION_DURATION, makenormal)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("violencepotion")
	
    inst.AnimState:SetBank("violencepotion")
    inst.AnimState:SetBuild("violencepotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "violencepotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/violencepotion.xml"
	
    inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")

    return inst
end
return Prefab("common/inventory/violencepotion", fn, assets)